> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ibee.co.in/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ibee.co.in/docs/_mcp/server.

# Add application identity scope

POST https://api.ibee.co.in/v1/secret-store/identities/{identity_id}/scopes
Content-Type: application/json

Grants an identity access to another store. Requires scope: secret-store.write.

Reference: https://docs.ibee.co.in/docs/api-reference/secret-store/create-secret-identity-scope

## Authentication

- `Authorization` header (bearer token, required) — IBEE platform API token. Production tokens start with `ibee_prod_key_`; development tokens start with `ibee_dev_key_`. Use a token only with its matching gateway environment.

## Servers

- `https://api.ibee.co.in/v1` (Production, default)
- `https://api.ibee.co.in/v1` (Development)

## Request

### Path parameters

- `identity_id` (string, required) — Secret Store application identity ID.

### Query parameters

- `workspace_id` (string, required) — The positive numeric workspace ID to scope this request to. Zero, negative, and non-numeric values are rejected.

### Body (application/json)

This endpoint expects a CreateSecretIdentityScopeRequest.

- `store_id` (string, required)
- `access_mode` (enum, optional, default: read_only)
  - Allowed values: `read_only`, `read_write`
- `allow_version_read` (boolean, optional, default: true)
- `allow_rollback` (boolean, optional, default: false)
- `allow_destroy` (boolean, optional, default: false)

## Response

### 201

Scope created successfully.

- `id` (string, required)
- `identity_id` (string, required)
- `scope_type` (string, required)
- `store_id` (string, required)
- `organization_id` (string, required)
- `workspace_id` (string, required)
- `access_mode` (enum, required)
  - Allowed values: `read_only`, `read_write`
- `allow_version_read` (boolean, required)
- `allow_rollback` (boolean, required)
- `allow_destroy` (boolean, required)
- `created_at` (datetime, required)

## Errors

### 400 Bad Request Error

The request is invalid.

- `detail` (ErrorDetail, optional)

### 401 Unauthorized Error

The API token is missing or invalid.

- `detail` (ErrorDetail, optional)

### 403 Forbidden Error

The token is not allowed to access the workspace or does not have the required scope.

- `detail` (ErrorDetail, optional)

### 404 Not Found Error

The requested resource was not found.

- `detail` (ErrorDetail, optional)

### 409 Conflict Error

The request conflicts with the current resource state.

- `detail` (ErrorDetail, optional)

## Types

### ErrorDetail

## Examples

**Request**

```json
{
  "store_id": "019f1e4b-3edd-72cf-b90e-26864ba2f283",
  "access_mode": "read_only",
  "allow_version_read": true,
  "allow_rollback": false,
  "allow_destroy": false
}
```

**Response**

```json
{
  "id": "string",
  "identity_id": "string",
  "scope_type": "string",
  "store_id": "string",
  "organization_id": "string",
  "workspace_id": "string",
  "access_mode": "read_only",
  "allow_version_read": true,
  "allow_rollback": true,
  "allow_destroy": true,
  "created_at": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```python Secret Store_createSecretIdentityScope_example
import requests

url = "https://api.ibee.co.in/v1/secret-store/identities/identity_id/scopes"

querystring = {"workspace_id":"710995"}

payload = {
    "store_id": "019f1e4b-3edd-72cf-b90e-26864ba2f283",
    "access_mode": "read_only",
    "allow_version_read": True,
    "allow_rollback": False,
    "allow_destroy": False
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript Secret Store_createSecretIdentityScope_example
const url = 'https://api.ibee.co.in/v1/secret-store/identities/identity_id/scopes?workspace_id=710995';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"store_id":"019f1e4b-3edd-72cf-b90e-26864ba2f283","access_mode":"read_only","allow_version_read":true,"allow_rollback":false,"allow_destroy":false}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Secret Store_createSecretIdentityScope_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.ibee.co.in/v1/secret-store/identities/identity_id/scopes?workspace_id=710995"

	payload := strings.NewReader("{\n  \"store_id\": \"019f1e4b-3edd-72cf-b90e-26864ba2f283\",\n  \"access_mode\": \"read_only\",\n  \"allow_version_read\": true,\n  \"allow_rollback\": false,\n  \"allow_destroy\": false\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Secret Store_createSecretIdentityScope_example
require 'uri'
require 'net/http'

url = URI("https://api.ibee.co.in/v1/secret-store/identities/identity_id/scopes?workspace_id=710995")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"store_id\": \"019f1e4b-3edd-72cf-b90e-26864ba2f283\",\n  \"access_mode\": \"read_only\",\n  \"allow_version_read\": true,\n  \"allow_rollback\": false,\n  \"allow_destroy\": false\n}"

response = http.request(request)
puts response.read_body
```

```java Secret Store_createSecretIdentityScope_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.ibee.co.in/v1/secret-store/identities/identity_id/scopes?workspace_id=710995")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"store_id\": \"019f1e4b-3edd-72cf-b90e-26864ba2f283\",\n  \"access_mode\": \"read_only\",\n  \"allow_version_read\": true,\n  \"allow_rollback\": false,\n  \"allow_destroy\": false\n}")
  .asString();
```

```php Secret Store_createSecretIdentityScope_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.ibee.co.in/v1/secret-store/identities/identity_id/scopes?workspace_id=710995', [
  'body' => '{
  "store_id": "019f1e4b-3edd-72cf-b90e-26864ba2f283",
  "access_mode": "read_only",
  "allow_version_read": true,
  "allow_rollback": false,
  "allow_destroy": false
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Secret Store_createSecretIdentityScope_example
using RestSharp;

var client = new RestClient("https://api.ibee.co.in/v1/secret-store/identities/identity_id/scopes?workspace_id=710995");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"store_id\": \"019f1e4b-3edd-72cf-b90e-26864ba2f283\",\n  \"access_mode\": \"read_only\",\n  \"allow_version_read\": true,\n  \"allow_rollback\": false,\n  \"allow_destroy\": false\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Secret Store_createSecretIdentityScope_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "store_id": "019f1e4b-3edd-72cf-b90e-26864ba2f283",
  "access_mode": "read_only",
  "allow_version_read": true,
  "allow_rollback": false,
  "allow_destroy": false
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.ibee.co.in/v1/secret-store/identities/identity_id/scopes?workspace_id=710995")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```